Bug 1292413 - Review Request: nodejs-es6-iterator - Iterator abstraction based on ES6 specification
Review Request: nodejs-es6-iterator - Iterator abstraction based on ES6 speci...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Piotr Popieluch
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: nodejs-reviews 1292149 1292416
  Show dependency treegraph
 
Reported: 2015-12-17 06:21 EST by Jared Smith
Modified: 2016-04-05 10:18 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-27 11:12:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
piotr1212: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Jared Smith 2015-12-17 06:21:22 EST
Spec URL: https://jsmith.fedorapeople.org/Packaging/nodejs-es6-iterator/nodejs-es6-iterator.spec
SRPM URL: https://jsmith.fedorapeople.org/Packaging/nodejs-es6-iterator/nodejs-es6-iterator-2.0.0-1.fc24.src.rpm
Description: Iterator abstraction based on ES6 specification
Fedora Account System Username: jsmith
Comment 1 Piotr Popieluch 2015-12-17 16:52:05 EST
this depends on nodejs-d
Comment 2 Jared Smith 2015-12-17 17:49:27 EST
There's a runtime dependency on nodejs-d, but nodejs-d also depends on this package as well.  But since it's an install-time (and not a build-time) dependency, the easiest way to bootstrap is to simply build this (knowing it can't be installed), then build nodejs-d, and then they can both be installed.

Does that sound reasonable, or do you really want to go through a more complex bootstrapping process?  Build these all in a side-tag until we get all the circular dependencies worked out?
Comment 3 Piotr Popieluch 2015-12-18 03:49:39 EST
no problem, just building the other packages now to check if all deps work out.
Comment 4 Piotr Popieluch 2015-12-18 04:02:31 EST
APPROVED,

suggestions:
- Add CHANGED to %doc
- move require("./") check out of conditional


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "Unknown or generated". 22 files have
     unknown license. Detailed output of licensecheck in
     /home/piotr/rpmbuild/1292413-nodejs-es6-iterator/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-es6-iterator-2.0.0-1.fc24.noarch.rpm
          nodejs-es6-iterator-2.0.0-1.fc24.src.rpm
nodejs-es6-iterator.noarch: W: only-non-binary-in-usr-lib
nodejs-es6-iterator.noarch: W: dangling-symlink /usr/lib/node_modules/es6-iterator/node_modules/es6-symbol /usr/lib/node_modules/es6-symbol
nodejs-es6-iterator.noarch: W: dangling-symlink /usr/lib/node_modules/es6-iterator/node_modules/d /usr/lib/node_modules/d
nodejs-es6-iterator.noarch: W: dangling-symlink /usr/lib/node_modules/es6-iterator/node_modules/es5-ext /usr/lib/node_modules/es5-ext
2 packages and 0 specfiles checked; 0 errors, 4 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
nodejs-es6-iterator.noarch: W: only-non-binary-in-usr-lib
nodejs-es6-iterator.noarch: W: dangling-symlink /usr/lib/node_modules/es6-iterator/node_modules/es6-symbol /usr/lib/node_modules/es6-symbol
nodejs-es6-iterator.noarch: W: dangling-symlink /usr/lib/node_modules/es6-iterator/node_modules/d /usr/lib/node_modules/d
nodejs-es6-iterator.noarch: W: dangling-symlink /usr/lib/node_modules/es6-iterator/node_modules/es5-ext /usr/lib/node_modules/es5-ext
1 packages and 0 specfiles checked; 0 errors, 4 warnings.



Requires
--------
nodejs-es6-iterator (rpmlib, GLIBC filtered):
    nodejs
    nodejs(engine)
    npm(d)
    npm(es5-ext)
    npm(es6-symbol)



Provides
--------
nodejs-es6-iterator:
    nodejs-es6-iterator
    npm(es6-iterator)



Source checksums
----------------
https://registry.npmjs.org/es6-iterator/-/es6-iterator-2.0.0.tgz :
  CHECKSUM(SHA256) this package     : 3d396798650d81f32d5c1425bc25bdc59145e766e363d3f659f2299e04a2dac6
  CHECKSUM(SHA256) upstream package : 3d396798650d81f32d5c1425bc25bdc59145e766e363d3f659f2299e04a2dac6


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -x CheckOwnDirs -b 1292413
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 5 Gwyn Ciesla 2015-12-18 08:06:30 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/nodejs-es6-iterator
Comment 6 Fedora Update System 2015-12-18 13:51:45 EST
nodejs-es6-iterator-2.0.0-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-96e4283140
Comment 7 Fedora Update System 2015-12-18 13:53:24 EST
nodejs-es6-iterator-2.0.0-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-9707658bcf
Comment 8 Fedora Update System 2015-12-18 13:53:54 EST
nodejs-es6-iterator-2.0.0-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-1f1a857bff
Comment 9 Fedora Update System 2015-12-18 13:54:47 EST
nodejs-es6-iterator-2.0.0-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-9d6dd21160
Comment 10 Fedora Update System 2015-12-19 14:59:05 EST
nodejs-es6-iterator-2.0.0-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update nodejs-es6-iterator'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-96e4283140
Comment 11 Fedora Update System 2015-12-19 19:50:51 EST
nodejs-es6-iterator-2.0.0-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update nodejs-es6-iterator'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-9d6dd21160
Comment 12 Fedora Update System 2015-12-19 20:51:03 EST
nodejs-es6-iterator-2.0.0-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update nodejs-es6-iterator'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-1f1a857bff
Comment 13 Fedora Update System 2015-12-22 10:34:45 EST
nodejs-es6-iterator-2.0.0-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-9707658bcf
Comment 14 Fedora Update System 2016-01-12 02:26:29 EST
nodejs-es6-iterator-2.0.0-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2016-01-12 06:56:30 EST
nodejs-es6-iterator-2.0.0-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2016-01-12 10:33:22 EST
nodejs-es6-iterator-2.0.0-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-cd40f21a26
Comment 17 Fedora Update System 2016-01-12 10:33:26 EST
nodejs-es6-iterator-2.0.0-2.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-9536418762
Comment 18 Fedora Update System 2016-01-12 10:33:27 EST
nodejs-es6-iterator-2.0.0-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-bd96a7246b
Comment 19 Fedora Update System 2016-01-13 01:51:22 EST
nodejs-es6-iterator-2.0.0-2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-9536418762
Comment 20 Fedora Update System 2016-01-13 01:51:52 EST
nodejs-es6-iterator-2.0.0-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-298d867ed8
Comment 21 Fedora Update System 2016-01-13 02:22:02 EST
nodejs-es6-iterator-2.0.0-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-bd96a7246b
Comment 22 Fedora Update System 2016-01-13 02:53:43 EST
nodejs-es6-iterator-2.0.0-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-cd40f21a26
Comment 23 Fedora Update System 2016-01-27 11:12:22 EST
nodejs-es6-iterator-2.0.0-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.
Comment 24 Fedora Update System 2016-02-07 21:53:05 EST
nodejs-es6-iterator-2.0.0-2.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.
Comment 25 Fedora Update System 2016-04-05 10:18:56 EDT
nodejs-es6-iterator-2.0.0-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.